import logging
import os

from discord.ext import commands

import heavynode


logging.basicConfig()
hn = heavynode.Client(os.environ['heavynode_token'])
bot = commands.Bot(command_prefix='!')


@bot.command()
@commands.has_role('Server admin')
async def add(ctx, player):
    """Add a player to the server whitelist.Must use exact Minecraft name."""
    await hn.send_command('d030737c', f'whitelist add {player}')
    await ctx.send(f'"{player}" added to whitelist.')


@bot.command()
@commands.has_role('Server admin')
async def remove(ctx, player):
    """Remove a player from the server whitelist. Must use exact Minecraft name."""
    await hn.send_command('d030737c', f'whitelist remove {player}')
    await ctx.send(f'"{player}" removed from whitelist.')


@add.error
@remove.error
async def whitelist_error(ctx, error):
    if isinstance(error, commands.CheckFailure):
        await ctx.send('You must be a server admin to use this command.')
    else:
        raise error


bot.run(os.environ['discord_token'], reconnect=True)